Get Nonprofit Details
curl --request GET \
--url https://api.givingcompass.org/insights/nonprofits/details/{ein} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.givingcompass.org/insights/nonprofits/details/{ein}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.givingcompass.org/insights/nonprofits/details/{ein}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ein": "<string>",
"name": "<string>",
"url": "<string>",
"summary": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode5": "<string>",
"ntee": "<string>",
"issueArea": "<string>",
"yearFounded": 123,
"filingYear": 123,
"revenueGrandTotal": 123,
"netAssets": 123,
"foundation": true,
"inactive": true,
"gcVetted": true,
"irsRulingDate": "2023-12-25",
"irsFilingUrl": "<string>",
"sdgs": [
123
],
"logo": "<string>",
"formType": "<string>",
"gcVideoUrl": "<string>",
"gcDonationUrl": "<string>",
"lat": 123,
"lng": 123,
"impactSummary": "<string>",
"alt_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Nonprofit Endpoints
Get Nonprofit Details
GET
/
nonprofits
/
details
/
{ein}
Get Nonprofit Details
Authorizations
Add a header [X-API-Key] with the token
Path Parameters
The unique 9 digit identifier assigned to businesses by the IRS
Required string length:
9Pattern:
^\d{9}$Response
Successful Response
DTO for returning nonprofit details in the public Insights API. It contains a subset of the fields from NonprofitDetailsResponse.